import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaSensorItemType } from '@overflow/commons-typescript/model/meta';

export const metaSensorItemTypeEntityAdapter = createEntityAdapter<MetaSensorItemType, RPCClientError>();
export interface State extends EntityState<MetaSensorItemType, RPCClientError> {
}
export const initialState: State = metaSensorItemTypeEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaSensorItemTypeEntityAdapter.getSelectors(selector),
  };
}
